## debian-installer 20101020ubuntu543.19+9.0trisquel8

=== debian/changelog ===
debian-installer (20101020ubuntu543.19+9.0trisquel8) etiona; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 15 Sep 2021 16:36:36 +0000

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Trisquel Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/bionic-proposed
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, trisquel-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- trisquel-keyring
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40)
#		We use mklibs for library reduction.
#	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#		armel/armhf uses it for omap3/4 netboot images and requires
#		3.0.9-1ubuntu2 to create bootable filesystems on OMAP
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- parted [armel armhf]
#		For ARM OMAP images.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- u-boot-tools [arm64 armel armhf]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 3:6) [i386 amd64]
#	- syslinux-utils (>= 3:6) [i386 amd64]
#	- pxelinux (>= 3:6) [i386 amd64]
#	- isolinux (>= 3:6) [i386 amd64]
#	- syslinux-common (>= 3:6) [i386 amd64]
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- u-boot [armel armhf]
#		First and second state bootloaders for various ARM boards
#	- shim [amd64]
#		First-stage bootloader for UEFI Secure Boot
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python3 (>= 3.1) [i386 amd64]
#		For building gfxboot help texts.
#
#	- kmod [linux-any]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el]
#               Used by grub-pc/grub-ieee1275-bin to create the CD-ROM images
#	- grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64]
#		EFI bootloader support.
#	- grub-common [amd64 arm64]
#		For the GRUB font.
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org
#	- grub-ieee1275-bin [ppc64el]
#		IEEE1275 bootloader support.

Package: debian-installer
Architecture: any
Description: Debian Installer documentation
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

Package: debian-installer-udebs
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${udeb:Depends}
Description: Metapackage depending on debian-installer's built-in udebs
 This package depends on the set of udebs that the current debian-installer
 build was built against, for easier version and migration tracking.

## debian-installer 20101020ubuntu557

=== debian/changelog ===
debian-installer (20101020ubuntu557) cosmic; urgency=medium

  * No-change rebuild to pick up new util-linux.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Oct 2018 11:18:44 -0600

debian-installer (20101020ubuntu556) cosmic; urgency=medium

  * No-change rebuild to pick up new s390-tools.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Oct 2018 06:17:44 -0600

debian-installer (20101020ubuntu555) cosmic; urgency=medium

  * Move master kernels to 4.18.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Oct 2018 02:46:41 -0600

debian-installer (20101020ubuntu554) cosmic; urgency=medium

  * Move master kernels to 4.18.0-9. LP: #1796346.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Oct 2018 13:24:01 +0100

debian-installer (20101020ubuntu553) cosmic; urgency=medium

  * Move master kernels to 4.18.0-8.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Oct 2018 15:59:25 +0100

debian-installer (20101020ubuntu552) cosmic; urgency=low

  * Move master kernels to 4.18.0-7.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 10 Sep 2018 08:50:18 +0100

debian-installer (20101020ubuntu551) cosmic; urgency=medium

  * Move master kernels to 4.17.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 28 Aug 2018 13:21:37 -0600

debian-installer (20101020ubuntu550) cosmic; urgency=medium

  * Move master kernels to 4.17.0-7.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 15 Aug 2018 13:51:42 +0100

debian-installer (20101020ubuntu549) cosmic; urgency=medium

  * Move master kernels to 4.17.0-6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Aug 2018 11:17:55 +0100

debian-installer (20101020ubuntu548) cosmic; urgency=medium

  * No-change rebuild against new bind9 libs.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 01 Aug 2018 16:55:35 +0000

debian-installer (20101020ubuntu547) cosmic; urgency=medium

  [ Adam Conrad ]
  * Fix permissions on the netboot.tar kernel (LP: #1781036)

  [ Andy Whitcroft ]
  * Move master kernels to 4.15.0-29.

 -- Andy Whitcroft <apw@canonical.com>  Wed, 25 Jul 2018 21:02:46 +0100

debian-installer (20101020ubuntu546) cosmic; urgency=medium

  * Move master kernels to 4.15.0-23.

 -- Andy Whitcroft <apw@canonical.com>  Thu, 14 Jun 2018 11:33:06 +0100

debian-installer (20101020ubuntu545) cosmic; urgency=medium

  * Move master kernels to 4.15.0-22.  LP: #1772927

 -- Andy Whitcroft <apw@canonical.com>  Thu, 24 May 2018 21:52:06 +0100

debian-installer (20101020ubuntu544) cosmic; urgency=medium

  * Switch from bionic to cosmic sources.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 May 2018 14:45:26 -0600

## debian-installer 20101020ubuntu557.2

=== debian/changelog ===
debian-installer (20101020ubuntu557.2) cosmic; urgency=medium

  * Move master kernels to 4.18.0-20. (LP: #1817321)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 14 May 2019 17:04:00 -0300

debian-installer (20101020ubuntu557.1) cosmic; urgency=medium

  * build/pkg-lists/base: add ca-certificates-udeb to enable HTTPS
    without d-i/allow_unauthenticated_ssl in stock initramfs image
    as in Debian. (LP: #1807023)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 26 Nov 2018 16:49:46 -0200

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=cosmic
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export NO_PNG_PKG_MANGLE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(VERSION) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms

	# Only depend on the packages, not versions, at least for now:
	echo -n "udeb:Depends=" >> debian/debian-installer-udebs.substvars
	while read p v a; do \
		echo -n "$$p, " >> debian/debian-installer-udebs.substvars; \
	done < build/dest/udeb.list
	echo "" >> debian/debian-installer-udebs.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20101020ubuntu570

=== debian/changelog ===
debian-installer (20101020ubuntu570) disco; urgency=medium

  * Move master kernels to 5.0.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Apr 2019 18:14:07 -0600

debian-installer (20101020ubuntu569) disco; urgency=medium

  * Move master kernels to 5.0.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Apr 2019 00:54:15 -0600

debian-installer (20101020ubuntu568) disco; urgency=medium

  * Move master kernels to 5.0.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 Mar 2019 09:14:17 -0600

debian-installer (20101020ubuntu567) disco; urgency=medium

  * build/util/efi-image: make MokManager available in EFI images.
    (LP: #1798171)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 20 Mar 2019 15:57:02 -0400

debian-installer (20101020ubuntu566) disco; urgency=medium

  * Move master kernels to 5.0.0-7.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 11 Mar 2019 15:48:45 +0000

debian-installer (20101020ubuntu565) disco; urgency=medium

  * No-change rebuild to use the new netcfg with mini.iso builds.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 15 Feb 2019 17:07:18 -0500

debian-installer (20101020ubuntu564) disco; urgency=medium

  * arm64: handle signed kernels with versioned filenames in /boot.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 14 Feb 2019 14:23:32 +0000

debian-installer (20101020ubuntu563) disco; urgency=medium

  * Move master kernels to 4.19.0-13.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 14 Feb 2019 11:03:54 +0000

debian-installer (20101020ubuntu562) disco; urgency=medium

  * Move master kernels to 4.19.0-12.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 04 Feb 2019 13:34:34 +0000

debian-installer (20101020ubuntu561) disco; urgency=medium

  * No-change rebuild against new bind9 libs.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 11 Dec 2018 17:21:39 -0200

debian-installer (20101020ubuntu560) disco; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * build/pkg-lists/base: add ca-certificates-udeb to enable HTTPS
    without d-i/allow_unauthenticated_ssl in stock initramfs image
    as in Debian. (LP: #1807023) (closes: #842040)

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 26 Nov 2018 16:49:46 -0200

debian-installer (20101020ubuntu559) disco; urgency=medium

  * Move master kernels to 4.18.0-11.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Nov 2018 18:08:18 -0800

debian-installer (20101020ubuntu558) disco; urgency=medium

  * Switch from cosmic to disco sources.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 Nov 2018 01:46:50 -0600

## debian-installer 20101020ubuntu570.1

=== debian/changelog ===
debian-installer (20101020ubuntu570.1) disco; urgency=medium

  * No-change rebuild to pick up new hw-detect and partman-iscsi.
    (LP: #1817321)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 14 May 2019 10:29:55 -0300

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=cosmic
+USE_UDEBS_FROM=disco
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else

## debian-installer 20101020ubuntu593

=== debian/changelog ===
debian-installer (20101020ubuntu593) eoan; urgency=medium

  * Move master kernels to 5.3.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Oct 2019 19:01:50 -0600

debian-installer (20101020ubuntu592) eoan; urgency=medium

  * Drop i386 build, as there is no kernel. LP: #1845714

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Oct 2019 11:51:15 +0100

debian-installer (20101020ubuntu591) eoan; urgency=medium

  * Move master kernels to 5.3.0-17. LP: #1846641

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Oct 2019 17:24:22 +0100

debian-installer (20101020ubuntu590) eoan; urgency=medium

  * Move master kernels to 5.3.0-13.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Sep 2019 20:37:40 +0100

debian-installer (20101020ubuntu589) eoan; urgency=medium

  * And bump amd64 initrd by 4M.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Sep 2019 14:56:17 +0200

debian-installer (20101020ubuntu588) eoan; urgency=medium

  * Move master kernels to (actually existing) 5.3.0-12.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Sep 2019 11:09:46 +0200

debian-installer (20101020ubuntu587) eoan; urgency=medium

  * Move master kernels to 5.3.0-13.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Sep 2019 12:09:04 +0200

debian-installer (20101020ubuntu586) eoan; urgency=medium

  * Move master kernels to 5.3.0-10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Sep 2019 11:50:34 +0100

debian-installer (20101020ubuntu585) eoan; urgency=medium

  * Use KERNELNAME_ALT_SUFFIX to use signed kernel image for d-i builds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 18:18:38 +0100

debian-installer (20101020ubuntu584) eoan; urgency=medium

  * Rebuild with new rootskel.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 16:34:31 +0100

debian-installer (20101020ubuntu583) eoan; urgency=medium

  * Move master kernels to 5.2.0-15.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Aug 2019 14:53:59 +0100

debian-installer (20101020ubuntu582) eoan; urgency=medium

  * Move master kernles to 5.2.0-13.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Aug 2019 13:08:06 +0100

debian-installer (20101020ubuntu581) eoan; urgency=medium

  * Dump amd64/i386 image size by 4M to accomodate 5.0->5.2 update.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 09 Aug 2019 11:21:24 +0100

debian-installer (20101020ubuntu580) eoan; urgency=medium

  * Move master kernels to 5.2.0-10.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 09 Aug 2019 08:36:26 +0100

debian-installer (20101020ubuntu579) eoan; urgency=medium

  * Move master kernels to 5.2.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 11 Jul 2019 14:57:53 -0600

debian-installer (20101020ubuntu578) eoan; urgency=medium

  * Move master kernels to 5.0.0-21

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Jul 2019 23:27:02 +0100

debian-installer (20101020ubuntu577) eoan; urgency=medium

  * Move master kernels to 5.0.0-20.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Jul 2019 15:57:45 +0100

debian-installer (20101020ubuntu576) eoan; urgency=medium

  * Move master kernels to 5.0.0-17.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Jun 2019 10:26:34 +0100

debian-installer (20101020ubuntu575) eoan; urgency=medium

  * Use Ubuntu's grub black/grey/white color scheme and attempt to set
    background color.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Jun 2019 13:30:19 +0100

debian-installer (20101020ubuntu574) eoan; urgency=medium

  * Move master kernels to 5.0.0-16.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Jun 2019 11:32:47 +0100

debian-installer (20101020ubuntu573) eoan; urgency=medium

  * No-change rebuild to pick up new hw-detect and partman-iscsi.
    (LP: #1817321)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 22 May 2019 10:30:55 -0300

debian-installer (20101020ubuntu572) eoan; urgency=medium

  * Move master kernels to 5.0.0-15.
  * Drop unused configs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 May 2019 12:59:54 +0100

debian-installer (20101020ubuntu571) eoan; urgency=medium

  * Switch from disco to eoan sources.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 21 Apr 2019 23:33:06 -0600

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=disco
+USE_UDEBS_FROM=eoan
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else

## debian-installer 20101020ubuntu608

=== debian/changelog ===
debian-installer (20101020ubuntu608) focal; urgency=medium

  * Re-enable build with focal-proposed.
  * Move master kernels to 5.4.0-18.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Mar 2020 23:16:53 +0000

debian-installer (20101020ubuntu607) focal; urgency=medium

  * Rebuild against release pocket only + bind9, bind9-libs, isc-dhcp.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Mar 2020 17:21:32 +0000

debian-installer (20101020ubuntu604) focal; urgency=medium

  * Move master kernels to 5.4.0-14 such that src:linux-5.4 &
    src:debian-installer are consistent in the release pocket.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Mar 2020 14:08:43 +0000

debian-installer (20101020ubuntu603) focal; urgency=medium

  * Move master kernels to 5.4.0-17.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Mar 2020 13:12:34 +0000

debian-installer (20101020ubuntu602) focal; urgency=medium

  * Move master kernels to 5.4.0-16.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Feb 2020 20:45:33 -0800

debian-installer (20101020ubuntu601) focal; urgency=medium

  * Move master kernels to 5.4.0-15.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 25 Feb 2020 13:36:36 +0000

debian-installer (20101020ubuntu600) focal; urgency=medium

  * Really rebuild with the new bind libs this time.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 22 Jan 2020 14:41:46 +0000

debian-installer (20101020ubuntu599) focal; urgency=medium

  * No-change rebuild for new bind 9.11.14 libs.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 15 Jan 2020 20:10:40 +0000

debian-installer (20101020ubuntu598) focal; urgency=medium

  * Update arm64.cfg to use BASEVERSION like all other configs.
  * Drop armel.cfg, architecture not available.
  * Update armhf.cfg to use BASEVERSION like all other configs.
  * Add bump-kernel debian/rules target.
  * Move master kernels to 5.4.0-9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Dec 2019 14:24:33 +0000

debian-installer (20101020ubuntu597) focal; urgency=medium

  * Move kernels to 5.4.0-8

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2019 01:20:57 +0000

debian-installer (20101020ubuntu596) focal; urgency=medium

  * Move kernels to 5.3.0-25

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 07 Dec 2019 17:36:44 +0000

debian-installer (20101020ubuntu595) focal; urgency=medium

  * Move master kernels to 5.3.0-24.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 06 Dec 2019 11:59:47 +0000

debian-installer (20101020ubuntu594) focal; urgency=medium

  * Switch from eoan to focal sources.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 30 Oct 2019 10:23:08 -0600

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=eoan
+USE_UDEBS_FROM=focal
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
@@ -78,5 +78,15 @@
 
 binary-indep:
 
-binary: binary-indep binary-arch 
-.PHONY: build build-images clean binary-indep binary-arch binary install 
+binary: binary-indep binary-arch
+
+bump-kernel: PROPOSED=$(shell rmadison -s $(USE_UDEBS_FROM)-proposed linux | cut -d\  -f4 | sed 's/\.[0-9]*$$//')
+bump-kernel: UPDATES=$(shell rmadison -s $(USE_UDEBS_FROM)-updates linux | cut -d\  -f4 | sed 's/\.[0-9]*$$//')
+bump-kernel: RELEASE=$(shell rmadison -s $(USE_UDEBS_FROM) linux | cut -d\  -f4 | sed 's/\.[0-9]*$$//')
+bump-kernel: BASEVERSION=$(firstword $(PROPOSED) $(UPDATES) $(RELEASE))
+
+bump-kernel:
+	sed -i 's/BASEVERSION = .*/BASEVERSION = $(BASEVERSION)/' build/config/*.cfg
+	bzr diff || dch 'Move master kernels to $(BASEVERSION).'
+
+.PHONY: build build-images clean binary-indep binary-arch binary install bump-kernel

## debian-installer 20101020ubuntu614

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f ! -name \*SUMS` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f ! -name \*SUMS` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f ! -name \*SUMS` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \

=== debian/changelog ===
debian-installer (20101020ubuntu614) focal; urgency=medium

  * Move master kernels to 5.4.0-26.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 21 Apr 2020 10:16:56 +0200

debian-installer (20101020ubuntu613) focal; urgency=medium

  * Move master kernels to 5.4.0-25.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 Apr 2020 11:09:46 -0700

debian-installer (20101020ubuntu612) focal; urgency=medium

  * Move master kernels to 5.4.0-24.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 01:39:25 +0100

debian-installer (20101020ubuntu611) focal; urgency=medium

  * Update the URL of d-i images.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Apr 2020 09:18:53 +0100

debian-installer (20101020ubuntu610) focal; urgency=medium

  * Change URL of d-i images, add HEADER/FOOTER.html to celebrate the new
    Ubuntu Server Installer. LP: #1869186

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Apr 2020 19:58:10 +0100

debian-installer (20101020ubuntu609) focal; urgency=medium

  * Move master kernels to 5.4.0-21.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 30 Mar 2020 23:14:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Trisquel Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.8.3
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/bionic-proposed
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, trisquel-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
+Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -26,7 +26,7 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- trisquel-keyring
+#	- ubuntu-keyring
 #		To provide the archive key for security checks.
 #	- dctrl-tools
 #		Various manipulations of the udeb Packages files.
@@ -142,7 +142,7 @@
 #		Bootloader for m68k/mac machines.
 #	- u-boot [armel armhf]
 #		First and second state bootloaders for various ARM boards
-#	- shim [amd64]
+#	- shim-signed [amd64]
 #		First-stage bootloader for UEFI Secure Boot
 #
 # Architecture specific build dependencies:
@@ -185,7 +185,7 @@
 #		IEEE1275 bootloader support.
 
 Package: debian-installer
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el s390x
 Description: Debian Installer documentation
  This package currently only contains some documentation for the Debian
  installer. We welcome suggestions about what else to put in it.
@@ -193,7 +193,7 @@
 Package: debian-installer-udebs
 XC-Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el s390x
 Depends: ${udeb:Depends}
 Description: Metapackage depending on debian-installer's built-in udebs
  This package depends on the set of udebs that the current debian-installer

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(VERSION)
-IMAGEDIR=$(DESTDIR)/images
+IMAGEDIR=$(DESTDIR)/legacy-images
 TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
 export NO_PNG_PKG_MANGLE=1
@@ -73,6 +73,7 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+	cp debian/*.html $(IMAGEDIR)
 	cd debian/tmp && tar czvf ../../../$(TARNAME) .
 	dpkg-distaddfile $(TARNAME) raw-installer -

## debian-installer 20101020ubuntu614.1

=== debian/changelog ===
debian-installer (20101020ubuntu614.1) focal; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Move master kernels to 5.4.0-42.

  [ Dimitri John Ledkov ]
  * Rebuild d-i for amd64 & arm64 architectures only.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jul 2020 16:43:56 +0100
